#!/bin/sh
#
# source: http://manpagesfr.free.fr/download/man-pages-extras-fr-0.7.9.tar.bz2
#
# maintainer: gmg (monpontet.gerard@neuf.fr)
#

#------------------Set Some Variables

soft='man-pages-extras-fr'
softversion='0.7.9'
packageversion="50.1"

arch='noarch'

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.tar.bz2"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

cd $buildir
rm -rf $src
tar -xvjf $srcpkg
rm -f $dest.tar.bz2
rm -rf $dest
mkdir -p $dest

#------------------Set correct permissions

cd $src

chown -R root:root .
find . -perm 666 -exec chmod 644 {} \;
find . -perm 664 -exec chmod 644 {} \;
find . -perm 600 -exec chmod 644 {} \;
find . -perm 444 -exec chmod 644 {} \;
find . -perm 400 -exec chmod 644 {} \;
find . -perm 440 -exec chmod 644 {} \;
find . -perm 777 -exec chmod 755 {} \;
find . -perm 775 -exec chmod 755 {} \;
find . -perm 511 -exec chmod 755 {} \;
find . -perm 711 -exec chmod 755 {} \;
find . -perm 555 -exec chmod 755 {} \;

make MANDIR=/usr/man/fr install DESTDIR=$dest 2>&1 | tee > make-man-pages-extras-fr.log

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a  INSTALL Changements* Lisez_moi $dest/usr/doc/$soft-$softversion

gzip -9 $dest/usr/man/fr/man?/*.?

#-----------------build directories and copy the build script

mkdir -p $dest/install

#-----------------Make the slack-desc files

cat << EODESC > $dest/install/slack-desc
                   |-----handy-ruler--------------------------------------------------|
man-pages-extras-fr: man-pages-extras-fr
man-pages-extras-fr:
man-pages-extras-fr: Depuis la version 1.67.1, l'archive des pages de manuel Linux
man-pages-extras-fr: en français change de nom et est strictement conforme à la
man-pages-extras-fr: version anglaise.
man-pages-extras-fr: Les pages qui n'avaient par leur équivalent dans l'archive L.D.P
man-pages-extras-fr: sont regroupées dans une nouvelle archive.
man-pages-extras-fr:
man-pages-extras-fr:
man-pages-extras-fr:
man-pages-extras-fr:
EODESC

#-------------------Prepare the documentation

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.tgz
cd $buildir
md5sum $package.tgz > $package.md5